Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 196625

Summary: Review Request: perl-SVN-Simple - a simple interface to subversion's editor interface
Product: [Fedora] Fedora Reporter: Ian Burrell <ianburrell>
Component: Package ReviewAssignee: Jason Tibbitts <j>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: kevin: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-06-29 06:45:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779, 196627    

Description Ian Burrell 2006-06-26 02:04:27 UTC
Spec URL: http://znark.com/fedora/perl-SVN-Simple.spec
SRPM URL: http://znark.com/fedora/perl-SVN-Simple-0.27-1.src.rpm
Description: a simple interface to
subversion's editor interface.

It is required perl-SVN-Mirror which is required by perl-SVK.

Comment 2 Jason Tibbitts 2006-06-28 17:51:16 UTC
This fails to build in mock; you are missing a BuildRequires: perl(SVN::Core)
(which ends up being provided by subversion-perl).  I'm going to assume for the
purposes of this review that it's been added.

Since that's the only issue, I'll go ahead and approve and you can fix it when
you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   6a5609e038421564051019649dd05fd0  SVN-Simple-0.27.tar.gz
* latest version is being packaged.
X BuildRequires are proper (needs perl(SVN::Core).)
O package builds in mock (development, x86_64) (once the needed BR: is added.)
* rpmlint is silent.
* final provides and requires are sane:
   perl(SVN::Simple::Edit) = 0.27
   perl(SVN::Simple::Editor)
   perl-SVN-Simple = 0.27-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(File::Spec::Unix)
   perl(SVN::Core)
   perl(SVN::Delta)
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=8,  0 wallclock secs ( 0.12 cusr +  0.03 csys =  0.15 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 3 Ian Burrell 2006-06-29 06:45:21 UTC
Built for devel.

Comment 4 Ian Burrell 2008-06-06 18:38:32 UTC
Package Change Request
======================
Package Name: perl-SVN-Simple
New Branches: EL-4 EL-5

Comment 5 Kevin Fenzi 2008-06-06 18:59:35 UTC
cvs done.